Bug 1550315 - [GSS] ACL settings on directories is different on newly added bricks compared to original bricks after rebalance completion
Summary: [GSS] ACL settings on directories is different on newly added bricks compared...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.3
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Prasad Desala
URL:
Whiteboard: dht-perms
Depends On:
Blocks: 1503138 1550771
TreeView+ depends on / blocked
 
Reported: 2018-03-01 01:24 UTC by Prashant Dhange
Modified: 2018-09-06 06:28 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.12.2-8
Doc Type: If docs needed, set a value
Doc Text:
Earlier for a distributed volume, custom extended attribute value for a directory did not show the correct value after stop/start or even the newly added brick.dht was not able to sync xattr value because it was difficult to figure out the source of truth. With this fix, a new MDS volume similar to hashed subvol is introduced which will be considered as a source of truth at the time of updating custom xattrs for the directory.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:42:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:52 UTC

Comment 38 Prasad Desala 2018-08-22 13:24:26 UTC
Verified this BZ on glusterfs version: 3.12.2-16.el7rhgs.x86_64.

Ran below polarion cases and didn't see any inconsistencies.

RHG3-13145
Directory: sub-volume down - custom extended attribute validation getfattr, setfattr

RHG3-13111 Metadata ops on directory: sub-volume down

Moving this BZ to Verified state.

Comment 39 Srijita Mukherjee 2018-09-03 15:39:25 UTC
Updated the doc text. Kindly review

Comment 41 errata-xmlrpc 2018-09-04 06:42:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.